Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 237388 - Create a binary package after genkernel compiled a kernel
Summary: Create a binary package after genkernel compiled a kernel
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Genkernel Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-11 09:42 UTC by Pieter De Wit
Modified: 2008-09-20 00:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter De Wit 2008-09-11 09:42:51 UTC
Hello Guys and Gals,

I would like to make a suggestion for a feature to be included in genkernel. I would like for it to build a binary package of the compiled kernel and it's modules.

At the moment, the current binary package is just the kernel source, with the patches applied.

My suggestion is to take /boot/* (that is generate by genkernel) and /lib/modules/<kernel> and create a binary file called gentoo-sources-2.5.1-compiled.tbz2.

When the "old binary" package is installed, portage looks for the above file and extracts it as well, giving the user a "complete" kernel.

As for the security/trustworthiness of this - it's the same as any binary distro or .tbz2 package made by someone. If you can't trust the source, don't install it.

Comments/suggestions ?

Thanks !

Reproducible: Always
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-09-11 19:40:04 UTC
"patches welcome" ;)
Comment 2 Pieter De Wit 2008-09-12 03:50:24 UTC
Hi Jeremy,

So no major objections to it ? I will see what I can do on the genkernel side, on the emerge side I might have some problems.

Thanks !
Comment 3 Chris Gianelloni 2008-09-12 17:34:30 UTC
Well, genkernel is designed to be usable on any distribution, not just Gentoo.  As such, it makes no sense for us to put in something that would not only be Gentoo specific, but package manager specific.  If you want binary kernel packages for Gentoo, someone should write ebuilds to use genkernel to do so, and let the package manager do the package management functions, such as creating the binpkg, itself.
Comment 4 Pieter De Wit 2008-09-12 19:01:49 UTC
Hi,

After some research I found that there is already a binary package created. Not sure how to "re-use" it. 

I can't see why genkernel can't have --create-tbz2, --create-rpm, --create-<another package manager>, adding one of these option, or even adding --create-gentoo-tbz2 doesn't make it distro specific
Comment 5 Andrew Gaffney (RETIRED) gentoo-dev 2008-09-12 19:05:53 UTC
A tar.bz2 does not a binpkg make. A portage binpkg is a tar.bz2 of the files as well as a "xpak" tacked on the end with metadata.
Comment 6 Chris Gianelloni 2008-09-15 20:43:40 UTC
How in the world is "or even adding --create-gentoo-tbz2 doesn't make it distro specific" not distribution-specific?  You're talking about adding *explicitly* distribution-specific code where we've said that we want none.

At any rate, the proper solution is an ebuild which uses genkernel and allows the package manager to do its job properly.  Anything produced by genkernel currently will *not* work with *any* of the available package managers in Gentoo, nor will code be added to make it happen.  Package management and kernel compilation are independent processes and we plan on keeping them at way... ;]
Comment 7 Pieter De Wit 2008-09-16 02:58:21 UTC
HI Chris,

Point taken, thanks
Comment 8 Chris Gianelloni 2008-09-20 00:31:53 UTC
No problem.

I *am* planning on making modifications to genkernel to make it usable via an ebuild to create a compiled kernel.  At that point, the package manager can create the binary packages via its own means.